%define	upstream_name	 GDTextUtil
%define upstream_version 0.86

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Text utilities for use with GD 
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/M/MV/MVERB/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(GD) >= 1.20
BuildArch:	noarch

Obsoletes:	perl-GD-TextUtil
Provides:	perl-GD-TextUtil

%description
This module provides a font-independent way of dealing with text in GD, for use
with the GD::Text::* modules and GD::Graph.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/GD
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.860.0-11.mga10
+ Revision: 2213401
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 0.860.0-10.mga9
+ Revision: 1838375
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.860.0-9.mga8
+ Revision: 1494635
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.860.0-8.mga7
+ Revision: 1268192
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.860.0-7.mga6
+ Revision: 1027692
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.860.0-6.mga6
+ Revision: 933568
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.860.0-5.mga5
+ Revision: 748048
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.860.0-4.mga5
+ Revision: 684815
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.860.0-3.mga4
+ Revision: 511806
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.860.0-2.mga3
+ Revision: 367548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.860.0-1.mga1
+ Revision: 41943
- mageia rebuild
- imported package perl-GDTextUtil


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.860.0-1mdv2010.1
+ Revision: 403187
- rebuild using %%perl_convert_version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.86-4mdv2009.0
+ Revision: 223767
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.86-3mdv2008.1
+ Revision: 180403
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.86-2mdv2007.0
+ Revision: 107910
- rebuild
- Import perl-GDTextUtil

* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.86-1mdk
- new version
- spec cleanup
- %%mkrel
- fix directory ownership
- rpmbuilupdate aware
- better summary
- better description
- fixed name

* Sat Oct 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-10mdk
- fix deps

